[Mailman-Users] Upgrade problems (2.0.13 -> 2.1); Incoming qrunner dies

Ed Osinski osinski at cs.nyu.edu
Fri Jan 24 17:03:26 CET 2003

On Sun, Jan 19, 2003 at 05:30:47PM -0500, Barry A. Warsaw wrote:
> >>>>> "EO" == Ed Osinski <osinski at cs.nyu.edu> writes:
>     EO> I've upgraded from 2.0.13 to 2.1, and am having problems:
>     EO> When running "bin/mailmanctl start", I get a series of errors:
>     EO> EOFError : EOF read where object expected
>     EO> This is repeated 11 times.  When I run ps to look for qrunner
>     EO> processes, I find:
> If you still have the offending .db file, please try bin/dumpdb on it
> and see what you get.  You'll probably get the EOF error.  If so, send
> it to me.  Also, what version of Python are you using?
> -Barry

I think the problem was due to some _very_ old .db files in the
qfiles/in directory, which I guess 2.0.13 ignored.  Getting rid of
those solved the problem.  (My other problem was solved similarly!)

I'm using Python 2.2.2.

- Ed

More information about the Mailman-Users mailing list